Anzeige:
Ergebnis 1 bis 9 von 9

Thema: su/sudo gibt nur Authentifizierungsfehler

  1. #1
    Besen-Wesen Avatar von Ginsengelf
    Registriert seit
    Feb 2003
    Ort
    Mars
    Beiträge
    566

    su/sudo gibt nur Authentifizierungsfehler

    Moin, ich habe seit kurzem das Problem, dass ich mich per su oder sudo nicht mehr als root anmelden kann. Es gibt nur einen Authentifizierungsfehler:
    Code:
     su root
    Passwort: 
    su: Fehler bei Authentifizierung
    und ja, ich bin sicher, dass es das richtige Passwort war
    Das gleiche, wenn ich irgendein Programm per sudo aufrufen möchte.

    Ich kann aber per STRG+Alt+F1 zu einer Konsole wechseln, und mich da direkt als root anmelden.

    Irgendeine Idee, warum su/sudo nicht funktioniert bzw. wo ich gucken kann?

    System ist openSUSE Tumbleweed.

    Danke,

    Ginsengelf
    God's in his heaven. All's right with the world.
    System: Phenom II X6 auf Asus M5A97 Pro, AMD Vega, 8 GB DDR3-RAM, openSUSE Tumbleweed

  2. #2
    Registrierter Benutzer
    Registriert seit
    Dec 2003
    Ort
    Dettenhausen
    Beiträge
    21.518
    Auch auf die Gefahr hin...

    welches Passwort gibst Du ein, wenn Du su verwendest?
    welches bei sudo?
    Ich bin root - ich darf das.

  3. #3
    Besen-Wesen Avatar von Ginsengelf
    Registriert seit
    Feb 2003
    Ort
    Mars
    Beiträge
    566
    Naja, das von root. Das hat ja bis jetzt auch immer funktioniert.

    Ginsengelf
    God's in his heaven. All's right with the world.
    System: Phenom II X6 auf Asus M5A97 Pro, AMD Vega, 8 GB DDR3-RAM, openSUSE Tumbleweed

  4. #4
    Registrierter Benutzer
    Registriert seit
    Aug 2007
    Ort
    Sauerland
    Beiträge
    1.316
    Und wenn du das Passwort sichtbar eingibst, stimmt es dann?
    Stichwort Tastaturlayout?

  5. #5
    Besen-Wesen Avatar von Ginsengelf
    Registriert seit
    Feb 2003
    Ort
    Mars
    Beiträge
    566
    Ja, da passt alles.

    Ginsengelf
    God's in his heaven. All's right with the world.
    System: Phenom II X6 auf Asus M5A97 Pro, AMD Vega, 8 GB DDR3-RAM, openSUSE Tumbleweed

  6. #6

  7. #7
    Besen-Wesen Avatar von Ginsengelf
    Registriert seit
    Feb 2003
    Ort
    Mars
    Beiträge
    566
    Super, danke. Ich habe wie im zweiten Link beschrieben pam_kwallet entfernt, und nun geht's wieder.

    Ginsengelf
    God's in his heaven. All's right with the world.
    System: Phenom II X6 auf Asus M5A97 Pro, AMD Vega, 8 GB DDR3-RAM, openSUSE Tumbleweed

  8. #8
    Registrierter Benutzer
    Registriert seit
    Apr 2020
    Beiträge
    1
    Zitat Zitat von Ginsengelf Beitrag anzeigen
    Super, danke. Ich habe wie im zweiten Link beschrieben pam_kwallet entfernt, und nun geht's wieder.

    Ginsengelf
    Da ich dieses Problem gerade auch habe, wäre es natürlich nett, wenn du/jmd schreiben könnte, wie genau das gemacht wird.

    Danke dafür!

  9. #9
    Registrierter Benutzer
    Registriert seit
    Apr 2009
    Ort
    Erde
    Beiträge
    2.416
    Aus https://bugzilla.opensuse.org/show_bug.cgi?id=1137716
    Zitat Zitat von https://bugzilla.opensuse.org/show_bug.cgi?id=1137716#c10
    According to https://bugzilla.opensuse.org/show_b...?id=1139242#c2 I could clearly reproduce the problem and see that the revert to the Leap 15.0 version of libgcrypt works around the problem.
    folgt https://bugzilla.opensuse.org/show_b...?id=1139242#c2
    Zitat Zitat von https://bugzilla.opensuse.org/show_bug.cgi?id=1139242#c2
    Yes, a downgrade of libgcrypt helped:

    ```
    wget https://download.opensuse.org/distri...4.2.x86_64.rpm
    sudo zypper in --oldpackage ./libgcrypt20-1.8.2-lp150.4.2.x86_64.rpm
    sudo systemctl mask --now polkit
    sudo /usr/lib/polkit-1/polkitd &
    /usr/lib64/libexec/polkit-kde-authentication-agent-1 &
    ```

    and confirmed that within the GUI of nm-applet I could successfully authenticate.
    Der "Fix" zeigt aber auch auf: https://bugzilla.opensuse.org/show_bug.cgi?id=1133808 und da steht, dass der Fehler schon lange gefixt ist - 2019-08-14 15:21 UTC.

    Du solltest mal die Versionen checken und ggf. prüfen warum deine Pakete so alt sind.
    Gruß nopes
    (,,,)---(^.^)---(,,,) /var/log/messages | grep cat

Ähnliche Themen

  1. sudo
    Von basstscho im Forum Linux Allgemein
    Antworten: 2
    Letzter Beitrag: 21.03.05, 10:08
  2. sudo...
    Von mrsuicide im Forum Linux Allgemein
    Antworten: 8
    Letzter Beitrag: 23.03.03, 20:35
  3. sudo...
    Von BhaaL im Forum System installieren und konfigurieren
    Antworten: 2
    Letzter Beitrag: 30.09.02, 18:31
  4. sudo
    Von Stealthy im Forum Anwendungen Allgemein, Software
    Antworten: 1
    Letzter Beitrag: 19.07.01, 07:44
  5. sudo
    Von Koi im Forum Linux Allgemein
    Antworten: 4
    Letzter Beitrag: 17.12.00, 23:47

Lesezeichen

Berechtigungen

  • Neue Themen erstellen: Nein
  • Themen beantworten: Nein
  • Anhänge hochladen: Nein
  • Beiträge bearbeiten: Nein
  •